<html>
<head>
<title>OGRE: Ogre::Box Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1Box.html">Box</a></div>
<h1>Ogre::Box Struct Reference</h1><!-- doxytag: class="Ogre::Box" -->Structure used to define a box in a 3-D integer space.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Box:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="structOgre_1_1Box-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aae3f6efb19b7607eef11e8e70fa46a2">Box</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameterless constructor for setting the members manually.  <a href="#aae3f6efb19b7607eef11e8e70fa46a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#de5fa24983e99f0ebabfc04f416aef1d">Box</a> (size_t l, size_t t, size_t r, size_t b)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define a box from left, top, right and bottom coordinates This box will have depth one (front=0 and back=1).  <a href="#de5fa24983e99f0ebabfc04f416aef1d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#f02ad818211c2f83fff1866f328872c8">Box</a> (size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define a box from left, top, front, right, bottom and back coordinates.  <a href="#f02ad818211c2f83fff1866f328872c8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#ebee870489731d59ddc99903220244c0">contains</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return true if the other box is a part of this one.  <a href="#ebee870489731d59ddc99903220244c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#7621962346ee18c3df6a405d115548a8">getWidth</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the width of this box.  <a href="#7621962346ee18c3df6a405d115548a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#93d5935ee18c29336ea11460a9d30b53">getHeight</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the height of this box.  <a href="#93d5935ee18c29336ea11460a9d30b53"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#35a70afaf89bbd6371a9abdc9e1da469">getDepth</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the depth of this box.  <a href="#35a70afaf89bbd6371a9abdc9e1da469"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#8c667f45bbbe5be0577025436a7e50a0">left</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#ebfb3bd646373c45c9e38735640f6e3a">top</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#57531708bc749511715f37648d105aad">right</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#66b5764c9ac1aad8410e9883c74b522a">bottom</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#6057f53bf949ee0725aeb52d1e480f4c">front</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#26cb2e011c3dec1ff625716e1778233a">back</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure used to define a box in a 3-D integer space. 
<p>
Note that the left, top, and front edges are included but the right, bottom and back ones are not. 
<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00344">344</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="aae3f6efb19b7607eef11e8e70fa46a2"></a><!-- doxytag: member="Ogre::Box::Box" ref="aae3f6efb19b7607eef11e8e70fa46a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Box::Box           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parameterless constructor for setting the members manually. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00348">348</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="de5fa24983e99f0ebabfc04f416aef1d"></a><!-- doxytag: member="Ogre::Box::Box" ref="de5fa24983e99f0ebabfc04f416aef1d" args="(size_t l, size_t t, size_t r, size_t b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Box::Box           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define a box from left, top, right and bottom coordinates This box will have depth one (front=0 and back=1). 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>l</em>&nbsp;</td><td>x value of left edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>y value of top edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>r</em>&nbsp;</td><td>x value of right edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>b</em>&nbsp;</td><td>y value of bottom edge </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Note that the left, top, and front edges are included but the right, bottom and back ones are not. </dd></dl>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00360">360</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">bottom</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">front</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">top</a>.</p>

</div>
</div><p>
<a class="anchor" name="f02ad818211c2f83fff1866f328872c8"></a><!-- doxytag: member="Ogre::Box::Box" ref="f02ad818211c2f83fff1866f328872c8" args="(size_t l, size_t t, size_t ff, size_t r, size_t b, size_t bb)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Box::Box           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>ff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>bb</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define a box from left, top, front, right, bottom and back coordinates. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>l</em>&nbsp;</td><td>x value of left edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>t</em>&nbsp;</td><td>y value of top edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ff</em>&nbsp;</td><td>z value of front edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>r</em>&nbsp;</td><td>x value of right edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>b</em>&nbsp;</td><td>y value of bottom edge </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>bb</em>&nbsp;</td><td>z value of back edge </td></tr>
  </table>
</dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Note that the left, top, and front edges are included but the right, bottom and back ones are not. </dd></dl>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00381">381</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">bottom</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">front</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">top</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ebee870489731d59ddc99903220244c0"></a><!-- doxytag: member="Ogre::Box::contains" ref="ebee870489731d59ddc99903220244c0" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Box::contains           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>def</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return true if the other box is a part of this one. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00393">393</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">back</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">bottom</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">front</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">left</a>, <a class="el" href="OgreCommon_8h-source.html#l00346">right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">top</a>.</p>

</div>
</div><p>
<a class="anchor" name="7621962346ee18c3df6a405d115548a8"></a><!-- doxytag: member="Ogre::Box::getWidth" ref="7621962346ee18c3df6a405d115548a8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getWidth           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the width of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00400">400</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">left</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">right</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="93d5935ee18c29336ea11460a9d30b53"></a><!-- doxytag: member="Ogre::Box::getHeight" ref="93d5935ee18c29336ea11460a9d30b53" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getHeight           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the height of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00402">402</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">bottom</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">top</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="35a70afaf89bbd6371a9abdc9e1da469"></a><!-- doxytag: member="Ogre::Box::getDepth" ref="35a70afaf89bbd6371a9abdc9e1da469" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::Box::getDepth           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the depth of this box. 
<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00404">404</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00346">back</a>, and <a class="el" href="OgreCommon_8h-source.html#l00346">front</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8c667f45bbbe5be0577025436a7e50a0"></a><!-- doxytag: member="Ogre::Box::left" ref="8c667f45bbbe5be0577025436a7e50a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#8c667f45bbbe5be0577025436a7e50a0">Ogre::Box::left</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">getWidth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ebfb3bd646373c45c9e38735640f6e3a"></a><!-- doxytag: member="Ogre::Box::top" ref="ebfb3bd646373c45c9e38735640f6e3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#ebfb3bd646373c45c9e38735640f6e3a">Ogre::Box::top</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">getHeight()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="57531708bc749511715f37648d105aad"></a><!-- doxytag: member="Ogre::Box::right" ref="57531708bc749511715f37648d105aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#57531708bc749511715f37648d105aad">Ogre::Box::right</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00400">getWidth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="66b5764c9ac1aad8410e9883c74b522a"></a><!-- doxytag: member="Ogre::Box::bottom" ref="66b5764c9ac1aad8410e9883c74b522a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#66b5764c9ac1aad8410e9883c74b522a">Ogre::Box::bottom</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00402">getHeight()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00288">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="6057f53bf949ee0725aeb52d1e480f4c"></a><!-- doxytag: member="Ogre::Box::front" ref="6057f53bf949ee0725aeb52d1e480f4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#6057f53bf949ee0725aeb52d1e480f4c">Ogre::Box::front</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">getDepth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<a class="anchor" name="26cb2e011c3dec1ff625716e1778233a"></a><!-- doxytag: member="Ogre::Box::back" ref="26cb2e011c3dec1ff625716e1778233a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#26cb2e011c3dec1ff625716e1778233a">Ogre::Box::back</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00346">346</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00360">Box()</a>, <a class="el" href="OgreCommon_8h-source.html#l00393">contains()</a>, <a class="el" href="OgreCommon_8h-source.html#l00404">getDepth()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00180">Ogre::LinearResampler_Float32::scale()</a>, <a class="el" href="OgreImageResampler_8h-source.html#l00097">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h-source.html#l00057">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:20 2008
</p>
</body>
</html>
